> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Notification Auto Mark Read

> Update the notification auto-mark-read preference for a provider



## OpenAPI

````yaml put /admin/settings/notification-auto-mark-read/{value}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/settings/notification-auto-mark-read/{value}:
    put:
      tags:
        - provider
        - admin
      summary: Update Notification Auto Mark Read
      description: Update the notification auto-mark-read preference for a provider
      operationId: >-
        update_notification_auto_mark_read_admin_settings_notification_auto_mark_read__value__put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: value
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/NotificationAutoMarkRead'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: boolean
                title: >-
                  Response Update Notification Auto Mark Read Admin Settings
                  Notification Auto Mark Read  Value  Put
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NotificationAutoMarkRead:
      type: string
      enum:
        - ON_VIEW_DROPDOWN
        - ON_QUICK_ACTION
        - MANUAL_ONLY
      title: NotificationAutoMarkRead
      description: Enum for notification auto-mark-read behavior
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````